Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPInfo

    java.lang.Object
      org.apache.fop.render.afp.AFPInfo

    public final class AFPInfo

extends java.lang.Object

AFP information structure for drawing the XML document.

Constructor Summary
`AFPInfo()`

Method Summary
`AFPGraphics2D` | `createGraphics2D(boolean textAsShapes)` Creates an AFPGraphics2D implementation
`protected int` | `getBitsPerPixel()` Returns the number of bits per pixel to use
`FontInfo` | `getFontInfo()` Return the font info
`org.apache.avalon.framework.configuration.Configuration` | `getHandlerConfiguration()` Returns the handler configuration
`int` | `getHeight()` Returns the height.
`AFPPaintingState` | `getPaintingState()` Returns the current AFP state
`protected int` | `getResolution()` Returns the resolution
`AFPResourceInfo` | `getResourceInfo()` Returns the resource information
`AFPResourceManager` | `getResourceManager()` Returns the AFPResourceManager
`int` | `getWidth()` Returns the width.
`protected int` | `getX()` Returns the current x position coordinate
`protected int` | `getY()` Returns the current y position coordinate
`boolean` | `isColorSupported()` Returns true if supports color
`boolean` | `paintAsBitmap()` Returns true if SVG should be rendered as a bitmap instead of natively
`protected void` | `setFontInfo(FontInfo fontInfo)` Sets the current font info
`void` | `setHandlerConfiguration(org.apache.avalon.framework.configuration.Configuration cfg)` Sets the handler configuration
`void` | `setHeight(int height)` Sets the height.
`void` | `setPaintAsBitmap(boolean b)` Sets true if SVG should be rendered as a bitmap instead of natively
`void` | `setPaintingState(AFPPaintingState paintingState)` Sets the AFP state
`void` | `setResourceInfo(AFPResourceInfo resourceInfo)` Sets the resource information
`void` | `setResourceManager(AFPResourceManager resourceManager)` Sets the AFPResourceManager
`void` | `setWidth(int width)` Sets the width.
`protected void` | `setX(int x)` Sets the current x position coordinate
`protected void` | `setY(int y)` Sets the current y position coordinate
`boolean` | `strokeText()` Returns true if text should be stroked when painted
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AFPInfo

    public AFPInfo()

Method Detail

### getWidth

    public int getWidth()

  Returns the width.

  Returns:
    the width

### setWidth

    public void setWidth(int width)

  Sets the width.

  Parameters:
    `width` - The pageWidth to set

### getHeight

    public int getHeight()

  Returns the height.

  Returns:
    the height

### setHeight

    public void setHeight(int height)

  Sets the height.

  Parameters:
    `height` - The height to set

### getHandlerConfiguration

    public org.apache.avalon.framework.configuration.Configuration getHandlerConfiguration()

  Returns the handler configuration

  Returns:
    the handler configuration

### setHandlerConfiguration

    public void setHandlerConfiguration(org.apache.avalon.framework.configuration.Configuration cfg)

  Sets the handler configuration

  Parameters:
    `cfg` - the handler configuration

### getFontInfo

    public FontInfo getFontInfo()

  Return the font info

  Returns:
    the font info

### getPaintingState

    public AFPPaintingState getPaintingState()

  Returns the current AFP state

  Returns:
    the current AFP state

### getResourceManager

    public AFPResourceManager getResourceManager()

  Returns the AFPResourceManager

  Returns:
    the AFPResourceManager

### isColorSupported

    public boolean isColorSupported()

  Returns true if supports color

  Returns:
    true if supports color

### getX

    protected int getX()

  Returns the current x position coordinate

  Returns:
    the current x position coordinate

### getY

    protected int getY()

  Returns the current y position coordinate

  Returns:
    the current y position coordinate

### getResolution

    protected int getResolution()

  Returns the resolution

  Returns:
    the resolution

### getBitsPerPixel

    protected int getBitsPerPixel()

  Returns the number of bits per pixel to use

  Returns:
    the number of bits per pixel to use

### setX

    protected void setX(int x)

  Sets the current x position coordinate

  Parameters:
    `x` - the current x position coordinate

### setY

    protected void setY(int y)

  Sets the current y position coordinate

  Parameters:
    `y` - the current y position coordinate

### setFontInfo

    protected void setFontInfo(FontInfo fontInfo)

  Sets the current font info

  Parameters:
    `fontInfo` - the current font info

### setPaintingState

    public void setPaintingState(AFPPaintingState paintingState)

  Sets the AFP state

  Parameters:
    `paintingState` - the AFP state

### setResourceManager

    public void setResourceManager(AFPResourceManager resourceManager)

  Sets the AFPResourceManager

  Parameters:
    `resourceManager` - the AFPResourceManager

### setPaintAsBitmap

    public void setPaintAsBitmap(boolean b)

  Sets true if SVG should be rendered as a bitmap instead of natively

  Parameters:
    `b` - boolean value

### paintAsBitmap

    public boolean paintAsBitmap()

  Returns true if SVG should be rendered as a bitmap instead of natively

  Returns:
    true if SVG should be rendered as a bitmap instead of natively

### strokeText

    public boolean strokeText()

  Returns true if text should be stroked when painted

  Returns:
    true if text should be stroked when painted

### setResourceInfo

    public void setResourceInfo(AFPResourceInfo resourceInfo)

  Sets the resource information

  Parameters:
    `resourceInfo` - the resource information

### getResourceInfo

    public AFPResourceInfo getResourceInfo()

  Returns the resource information

  Returns:
    the resource information

### createGraphics2D

    public AFPGraphics2D createGraphics2D(boolean textAsShapes)

  Creates an AFPGraphics2D implementation

  Parameters:
    `textAsShapes` - true when text is painted as shapes
  Returns:
    a newly created AFPGraphics2D

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.